table {
  width: 100%;
}

.mat-form-field {
  font-size: 14px;
  width: 20%;
}

.btn-md{
  width: 40px;
  display: table-cell;
  padding: 0.1em;
  margin: 0;
}

tr{
  vertical-align: middle;
}

.table-hover tbody tr:hover td
    {
      background-color: rgba(117, 119, 119, 0.158);
    }   


input:focus {
    box-shadow: 3px 3px 6px #888888;
  }
  
  .ng-invalid:not(form)  {
    border-left: 10px solid red; /* red */
  }
  
  .ng-valid:required:valid {
    border-left: 10px solid #42A948;
  }
  
  h3 {
    padding-top: 10px;
      text-align: center;
  }
  
  .card {
      border-radius: 5px;
      box-shadow: 5px 5px 10px #888888;
  }
  .card-header {
      background-color: rgb(255, 255, 255);
      border-top-left-radius: 10px;
      border-top-right-radius: 10px; 
  }
  .card-footer {
      text-align: right;
      border-bottom-left-radius: 10px;
      border-bottom-right-radius: 10px;
  }

  .invalid-from {
    padding-top: 10px;
  }
  span {
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
    font-size: 14px;
  }
  #regis_customer .card-body {
      min-height: 500px;
  }
  
  // button custom
  .btn-custom{
    display:inline-block;
    position:relative;
    margin:0.4em;  padding:0.6em;
    background:#e1e1e1;  color:black; 
    z-index:0;
  }
  .btn-custom:before {
    content: "";
    position: absolute;
    z-index:-1;
    top: 0;  left: 0;  right: 0;  bottom: 0;
    background: #48C9B0;
    transform: scaleX(0);
    transform-origin: 0 50%;
    transition: transform .2s ease-out;
  }

  .btn-dis{
    display:inline-block;
    position:relative;
    margin:0.4em;  padding:0.6em;
    background:#e1e1e1;  color:black; 
    z-index:0;
  }

  .btn-custom:hover:before{transform: scaleX(1);}
  .btn-custom:focus:before{transform: scaleX(1);}
  
  .btn-group {
    padding-top: 10px;
  }

  
  // upload file
  .dropzone {
    min-height: 400px;
    min-width: 400px;
    display: table;
    width: 100%;
    background-color: #eee;
    border: dotted 1px #aaa;
  }
  
  .text-wrapper {
    display: table-cell;
    vertical-align: middle;
  }
  
  .centered {
    font-family: sans-serif;
    font-size: 1.3em;
    font-weight: bold;
    text-align:center;
  }
  
  .pagination {
    float:right;
  }
  
  
  // example loading 1
  
  @keyframes lds-bars {
      0% {
        opacity: 1;
      }
  
      50% {
        opacity: 0.5;
      }
  
      100% {
        opacity: 1;
      }
    }
  
    @-webkit-keyframes lds-bars {
      0% {
        opacity: 1;
      }
  
      50% {
        opacity: 0.5;
      }
  
      100% {
        opacity: 1;
      }
    }
  
    .lds-bars {
      position: relative;
    }
  
    .lds-bars div {
      position: absolute;
      width: 20px;
      height: 80px;
      top: 60px;
      -webkit-animation: lds-bars 1s cubic-bezier(0.5, 0, 0.5, 1) infinite;
      animation: lds-bars 1s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    }
  
    .lds-bars div:nth-child(1) {
      left: 30px;
      background: #4658ac;
      -webkit-animation-delay: -0.6s;
      animation-delay: -0.6s;
    }
  
    .lds-bars div:nth-child(2) {
      left: 70px;
      background: #e7008a;
      -webkit-animation-delay: -0.4s;
      animation-delay: -0.4s;
    }
  
    .lds-bars div:nth-child(3) {
      left: 110px;
      background: #ff003a;
      -webkit-animation-delay: -0.2s;
      animation-delay: -0.2s;
    }
  
    .lds-bars div:nth-child(4) {
      left: 150px;
      background: #ff6d00;
    }
  
    .lds-bars {
      width: 200px !important;
      height: 200px !important;
      -webkit-transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
      transform: translate(-100px, -100px) scale(1) translate(100px, 100px);
    }
  
  
  // example loading 2
  
  
    .cssload-loader-inner {
      bottom: 0;
      height: 75px;
      left: 0;
      margin: auto;
      position: absolute;
      right: 0;
      top: 0;
      width: 125px;
  }
  
  .cssload-cssload-loader-line-wrap-wrap {
      animation: cssload-spin 1700ms cubic-bezier(.175, .885, .32, 1.275) infinite;
      -o-animation: cssload-spin 1700ms cubic-bezier(.175, .885, .32, 1.275) infinite;
      -ms-animation: cssload-spin 1700ms cubic-bezier(.175, .885, .32, 1.275) infinite;
      -webkit-animation: cssload-spin 1700ms cubic-bezier(.175, .885, .32, 1.275) infinite;
      -moz-animation: cssload-spin 1700ms cubic-bezier(.175, .885, .32, 1.275) infinite;
      box-sizing: border-box;
      -o-box-sizing: border-box;
      -ms-box-sizing: border-box;
      -webkit-box-sizing: border-box;
      -moz-box-sizing: border-box;
      height: 63px;
      left: 0;
      overflow: hidden;
      position: absolute;
      top: 0;
      transform-origin: 50% 100%;
      -o-transform-origin: 50% 100%;
      -ms-transform-origin: 50% 100%;
      -webkit-transform-origin: 50% 100%;
      -moz-transform-origin: 50% 100%;
      width: 125px;
  }
  .cssload-loader-line-wrap {
      border: 5px solid transparent;
      border-radius: 100%;
      -o-border-radius: 100%;
      -ms-border-radius: 100%;
      -webkit-border-radius: 100%;
      -moz-border-radius: 100%;
      box-sizing: border-box;
      -o-box-sizing: border-box;
      -ms-box-sizing: border-box;
      -webkit-box-sizing: border-box;
      -moz-box-sizing: border-box;
      height: 125px;
      left: 0;
      margin: 0 auto;
      position: absolute;
      right: 0;
      top: 0;
      width: 125px;
  }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(1) { animation-delay: -42.5ms;
      -o-animation-delay: -42.5ms;
      -ms-animation-delay: -42.5ms;
      -webkit-animation-delay: -42.5ms;
      -moz-animation-delay: -42.5ms; }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(2) { animation-delay: -85ms;
      -o-animation-delay: -85ms;
      -ms-animation-delay: -85ms;
      -webkit-animation-delay: -85ms;
      -moz-animation-delay: -85ms; }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(3) { animation-delay: -127.5ms;
      -o-animation-delay: -127.5ms;
      -ms-animation-delay: -127.5ms;
      -webkit-animation-delay: -127.5ms;
      -moz-animation-delay: -127.5ms; }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(4) { animation-delay: -170ms;
      -o-animation-delay: -170ms;
      -ms-animation-delay: -170ms;
      -webkit-animation-delay: -170ms;
      -moz-animation-delay: -170ms; }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(5) { animation-delay: -212.5ms;
      -o-animation-delay: -212.5ms;
      -ms-animation-delay: -212.5ms;
      -webkit-animation-delay: -212.5ms;
      -moz-animation-delay: -212.5ms; }
  
  .cssload-cssload-loader-line-wrap-wrap:nth-child(1) .cssload-loader-line-wrap {
      border-color: rgb(234,71,71);
      height: 113px;
      width: 113px;
      top: 9px;
  }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(2) .cssload-loader-line-wrap {
      border-color: rgb(234,234,71);
      height: 95px;
      width: 95px;
      top: 18px;
  }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(3) .cssload-loader-line-wrap {
      border-color: rgb(71,234,71);
      height: 78px;
      width: 78px;
      top: 26px;
  }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(4) .cssload-loader-line-wrap {
      border-color: rgb(71,234,234);
      height: 60px;
      width: 60px;
      top: 35px;
  }
  .cssload-cssload-loader-line-wrap-wrap:nth-child(5) .cssload-loader-line-wrap {
      border-color: rgb(71,71,234);
      height: 43px;
      width: 43px;
      top: 44px;
  }
  
  
  
  
  @keyframes cssload-spin {
      0%, 15% {
      transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      transform: rotate(360deg);
      transform: rotate(360deg);
  }
  }
  
  @-o-keyframes cssload-spin {
      0%, 15% {
      -o-transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
  }
  }
  
  @-ms-keyframes cssload-spin {
      0%, 15% {
      -ms-transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      -ms-transform: rotate(360deg);
      transform: rotate(360deg);
  }
  }
  
  @-webkit-keyframes cssload-spin {
      0%, 15% {
      -webkit-transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
  }
  }
  
  @-moz-keyframes cssload-spin {
      0%, 15% {
      -moz-transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      -moz-transform: rotate(360deg);
      transform: rotate(360deg);
  }
  }

  // =======================================================